Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

Get a seller

Returns a single seller by ID. Sellers are account-scoped.

GET/sellers/{id}
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idintegerrequired

Seller ID

Responses
200

Seller entity

_linksHalLinks
idinteger
account_idinteger
localestring
currency_codestring
provides_shippingboolean
provides_pickupboolean
prices_include_taxboolean
tax_ratenumber
tax_namestring
products_countinteger
created_onstring<date-time>
updated_onstring<date-time>
401

Invalid or missing token

403

Access denied

404

Seller not found

Try it
Server
Authorization
Parameters
Request
curl -s -H "Authorization: Bearer $BOLDER_TOKEN" \
  "https://api.onbolder.com/v2/sellers/5"
Response
{
  "id": 5,
  "account_id": 10,
  "locale": "en",
  "currency_code": "USD",
  "provides_shipping": true,
  "provides_pickup": true,
  "prices_include_tax": true,
  "tax_rate": 0.19,
  "tax_name": "VAT",
  "products_count": 42,
  "created_on": "2023-01-15T10:00:00Z",
  "updated_on": "2024-03-20T14:30:00Z",
  "_links": {
    "self": {
      "href": "https://api.onbolder.com/v2/sellers/5"
    },
    "shops:show": {
      "href": "https://api.onbolder.com/v2/shops/1",
      "title": "Main shop"
    },
    "shops:list": {
      "href": "https://api.onbolder.com/v2/shops?seller_id=5",
      "title": "All shops owned by this seller"
    },
    "products:list": {
      "href": "https://api.onbolder.com/v2/products{?seller_ids,...}",
      "templated": true
    }
  }
}

Was this page helpful?